org.apache.ivy.core.module.descriptor

## Class DefaultIncludeRule

- java.lang.Object
- - org.apache.ivy.util.extendable.UnmodifiableExtendableItem
  - - org.apache.ivy.core.module.descriptor.AbstractIncludeExcludeRule
    - - org.apache.ivy.core.module.descriptor.DefaultIncludeRule

All Implemented Interfaces:
  ConfigurationAware, IncludeRule, ExtendableItem

    public class DefaultIncludeRule
    extends AbstractIncludeExcludeRule
    implements IncludeRule

### Constructor Summary

Constructors
Constructor and Description
`DefaultIncludeRule(ArtifactId aid, PatternMatcher matcher, java.util.Map extraAttributes)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.ivy.core.module.descriptor.AbstractIncludeExcludeRule

`addConfiguration, equals, getConfigurations, getId, getMatcher, hashCode`

### Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem

`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setExtraAttribute, setStandardAttribute`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ivy.core.module.descriptor.IncludeRule

`getConfigurations, getId, getMatcher`

### Methods inherited from interface org.apache.ivy.util.extendable.ExtendableItem

`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes`

### Constructor Detail

#### DefaultIncludeRule

    public DefaultIncludeRule(ArtifactId aid,
                      PatternMatcher matcher,
                      java.util.Map extraAttributes)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AbstractIncludeExcludeRule`